{
  "format_version": "1.10.0",
  "animation_controllers": {
	"controller.animation.avia_samolet": {
		"states": {
			"default": {
				"transitions": [
					{
						"flying": "query.mark_variant == 0"
					}
				],
				"on_entry": [
					"/function avia_samolet",
					"/tag @s add rider"
				]
			},
			"flying": {
				"transitions": [
					{
						"default": "query.has_rider"
					}
				],
				"on_entry": [
					"/function avia_samolet",
					"/tag @s add rider"
				]
			}
		 }
	  }
   }
}